| Flutter Impeller |

Public Member Functions | Public Attributes | List of all members
impeller::PlaygroundSwitches Struct Reference

`#include <switches.h>`

## Public Member Functions
| PlaygroundSwitches ()
| PlaygroundSwitches (const fml::CommandLine &args)

## Public Attributes
bool | enable_playground = false
std::optional< std::chrono::milliseconds > | timeout
bool | enable_vulkan_validation = false

## Detailed Description

Definition at line 16 of file switches.h.

## Constructor & Destructor Documentation

## ◆ PlaygroundSwitches() [1/2]

impeller::PlaygroundSwitches::PlaygroundSwitches | ( |  | ) |
| default

## ◆ PlaygroundSwitches() [2/2]

impeller::PlaygroundSwitches::PlaygroundSwitches | ( | const fml::CommandLine & | args | ) |
| explicit

Definition at line 13 of file switches.cc.

13 {
14 enable_playground = args.HasOption("enable_playground");
15 std::string timeout_str;
16 if (args.GetOptionValue("playground_timeout_ms", &timeout_str)) {
17 timeout = std::chrono::milliseconds(atoi(timeout_str.c_str()));
18 // Specifying a playground timeout implies you want to enable playgrounds.
19 enable_playground = true;
20 }
21 enable_vulkan_validation = args.HasOption("enable_vulkan_validation");
22 }

References enable_playground, enable_vulkan_validation, and timeout.

## Member Data Documentation

## ◆ enable_playground

bool impeller::PlaygroundSwitches::enable_playground = false

Definition at line 17 of file switches.h.

Referenced by impeller::DlPlayground::OpenPlaygroundHere(), impeller::EntityPlayground::OpenPlaygroundHere(), impeller::AiksPlayground::OpenPlaygroundHere(), impeller::Playground::OpenPlaygroundHere(), PlaygroundSwitches(), and impeller::Playground::WillRenderSomething().

## ◆ enable_vulkan_validation

bool impeller::PlaygroundSwitches::enable_vulkan_validation = false

Definition at line 22 of file switches.h.

Referenced by impeller::PlaygroundImplVK::PlaygroundImplVK(), and PlaygroundSwitches().

## ◆ timeout

std::optional<std::chrono::milliseconds> impeller::PlaygroundSwitches::timeout

Definition at line 21 of file switches.h.

Referenced by PlaygroundSwitches().

The documentation for this struct was generated from the following files:

- impeller/playground/switches.h
- impeller/playground/switches.cc

impeller::PlaygroundSwitches::timeout
std::optional< std::chrono::milliseconds > timeout
Definition: switches.h:21
impeller::PlaygroundSwitches::enable_vulkan_validation
bool enable_vulkan_validation
Definition: switches.h:22
impeller::PlaygroundSwitches::enable_playground
bool enable_playground
Definition: switches.h:17